Description
Mark here on Jay's account as | don't seem to have a bugzilla ID....

Downloaded CSV files from the datacart are not rectangular, they are normalized. We discussed this several times. Faculty need a
rectangular dataset even though it offends database sensibilities.

History

#1 - 03/16/2009 10:08 AM - ben leinfelder

i very much thought we had agreed that the data would be returned as one table so that users would not have to join different tables on their own.

#2 - 03/16/2009 10:12 AM - Matt Jones

That was my understanding as well. I'm perplexed about what problem this bug actually expresses.

#3 - 03/23/2009 05:34 PM - ben leinfelder

added a new "pivot" option when downloading data.
the dataset can now be returned with questions and metadata for each question as a separate column rather than a row.

#4 - 03/23/2009 06:19 PM - ben leinfelder

csv sample for a single student taking an exam with three questions.

#5 - 04/01/2009 11:19 AM - ben leinfelder

This is an actual file downloaded from my local system.

It is a single-question exam taken by 11 students. No response data was captured, only scores.

Notice that the vocab/value is in a single column - this is different from what we had decided on at the last meeting, but | believe it is the last
outstanding item to address for this data return format.

#6 - 04/02/2009 09:08 AM - ben leinfelder

I've split the vocab/value into two columns (nbii | Biopolymers) as agreed on last week.

#7 - 04/02/2009 05:51 PM - ben leinfelder

without the "transponse" box checked

#8 - 04/02/2009 05:53 PM - ben leinfelder

with the "transpose" box checked

#9 - 04/02/2009 05:55 PM - ben leinfelder

addressed the comments from today's meeting:

-html is stripped out for both return formats

-studentlds are changed to sequential numbers

-studentld column labels are relabeled "recordNum"

-duplicate true/false values for the metadata matrix are omitted

#10 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3876

Files

04/28/2024 1/2




first_pivot_sample.csv

query-results(59).csv

query-results(64).csv

query-results(77).csv
(80)

query-results(80).csv

04/28/2024

1.11 KB
555 Bytes
581 Bytes

3.55 KB
575 Bytes

03/24/2009
04/01/2009
04/02/2009
04/03/2009
04/03/2009

ben leinfelder
ben leinfelder
ben leinfelder
ben leinfelder

ben leinfelder

22


http://www.tcpdf.org

